apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: munin-node-kube
  namespace: ci
spec:
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      name: munin-node-kube
  template:
    metadata:
      labels:
        name: munin-node-kube
    spec:
      containers:
      - command:
        - dumb-init
        - --
        - /start-node.sh
        image: registry.gitlab.com/synacksynack/opsperator/docker-munin:master
        imagePullPolicy: Always
        name: munin-node
        ports:
        - containerPort: 4949
          hostPort: 4949
          protocol: TCP
        resources:
          limits:
            cpu: 100m
            memory: 512Mi
          requests:
            cpu: 100m
            memory: 512Mi
        volumeMounts:
        - mountPath: /var/log/munin
          name: logs
        - mountPath: /host/proc
          name: proc
          readOnly: true
        - mountPath: /host/sys
          name: sys
          readOnly: true
      hostNetwork: true
      hostPID: true
      nodeSelector:
        kubernetes.io/arch: amd64
      serviceAccount: munin-node-kube
      serviceAccountName: munin-node-kube
      tolerations:
      - effect: NoSchedule
        key: node-role.kubernetes.io/master
      volumes:
      - emptyDir: {}
        name: logs
      - hostPath:
          path: /proc
          type: ""
        name: proc
      - hostPath:
          path: /sys
          type: ""
        name: sys
